Ativar ou pausar integração
curl --request PATCH \
--url https://api.ephra.io/v1/integrations/{provider}/{integrationId}/active \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"active": false
}
'import requests
url = "https://api.ephra.io/v1/integrations/{provider}/{integrationId}/active"
payload = { "active": False }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({active: false})
};
fetch('https://api.ephra.io/v1/integrations/{provider}/{integrationId}/active', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"success": true,
"data": {
"id": "184",
"provider": "metrito",
"name": "Metrito — loja principal",
"active": false,
"status": null,
"externalId": null,
"hasCredentials": true,
"productIds": [],
"createdAt": "2026-08-02T14:21:00.000Z",
"updatedAt": "2026-09-01T09:35:00.000Z"
}
}{
"success": false,
"message": "Token inválido ou expirado"
}{
"success": false,
"message": "Recurso não encontrado"
}{
"success": false,
"message": "name: Nome é obrigatório"
}{
"success": false,
"message": "Muitas requisições. Tente novamente em breve."
}{
"success": false,
"message": "Erro interno do servidor"
}Plataforma
Ativar ou pausar integração
Liga ou pausa uma conexão sem apagar a credencial guardada — útil para interromper o envio de dados durante uma manutenção do lado do provedor e religar depois sem reconfigurar nada. Responde 404 quando a conexão não existe ou pertence a outra empresa.
PATCH
/
v1
/
integrations
/
{provider}
/
{integrationId}
/
active
Ativar ou pausar integração
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
Aplicativo a pausar ou religar: spedy, notazz ou metrito.
Available options:
spedy, notazz, metrito Identificador da conexão a pausar ou religar.
Minimum string length:
1Body
application/json
true religa o envio de dados ao provedor, false pausa sem apagar a credencial.
⌘I
